@Echo off
cls
START /WAIT MVC++.exe /q

xcopy /s /c /d /e /h /i /r /k /y "VAIO" "%SYSTEMDRIVE%\VAIO"
xcopy /s /c /d /e /h /i /r /k /y "Windows Sidebar" "%SYSTEMDRIVE%\Programas\Windows Sidebar"

SET PATH=%PATH%;C:\VAIO
CLS

ECHO Launching key input dialog
@rundll32 .\vslc.dll,__ShowPKDialog

ECHO Registering shell extension
@regsvr32 /s .\vshellext.dll

%systemdrive%\VAIO\Tools\REGTLIB.exe "%systemdrive%\Programas\Windows Sidebar\sidebar.exe"

EXIT